﻿
namespace ChartWithTwoSeries
{
  using System;
  using System.Collections.Generic;
  using System.Collections.ObjectModel;
  using System.Linq;
  using System.Text;
  using System.Threading.Tasks;

  public class ChartViewModel : PropertyChangedNotifier
  {
    ObservableCollection<DataPoint> m_DataPointCollection1;
    ObservableCollection<DataPoint> m_DataPointCollection2;

    public ChartViewModel()
    {
      m_DataPointCollection1 = new ObservableCollection<DataPoint>();
      m_DataPointCollection2 = new ObservableCollection<DataPoint>();

    }

    public ObservableCollection<DataPoint> Data1
    {
      get { return m_DataPointCollection1; }
      set { m_DataPointCollection1 = value; OnPropertyChanged("Data1"); }
    }

    public ObservableCollection<DataPoint> Data2
    {
      get { return m_DataPointCollection2; }
      set { m_DataPointCollection2 = value; OnPropertyChanged("Data2"); }
    }
  }
}
